### Constructor

# Gdk.ContentProvider.new_for_bytes

#### Declaration [src]

    GdkContentProvider*
    gdk_content_provider_new_for_bytes (
      const char* mime_type,
      GBytes* bytes
    )

#### Description [src]

Create a content provider that provides the given `bytes` as data for the given `mime_type`.

#### Parameters

`mime_type` | `const char*`
| the mime type
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`bytes` | `GBytes*`
| a `GBytes` with the data for `mime_type`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkContentProvider`
a new `GdkContentProvider`
Ownership of the data is transferred to the caller